Bug 1247568 - totem can't play video files
totem can't play video files
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 07:02 EDT by Marius Andreiana
Modified: 2016-07-19 13:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:13:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Andreiana 2015-07-28 07:02:58 EDT
Description of problem: 
record a video with an Android phone, transfer to linux laptop, open with totem

totem VID_20150705_130206.mp4 

(totem:20421): GLib-GObject-WARNING **: The property GtkCellRendererPixbuf:follow-state is deprecated and shouldn't be used anymore. It will be removed in a future version.

(totem:20421): GLib-GObject-WARNING **: The property GtkAlignment:yscale is deprecated and shouldn't be used anymore. It will be removed in a future version.

(totem:20421): GLib-GObject-WARNING **: The property GtkAlignment:top-padding is deprecated and shouldn't be used anymore. It will be removed in a future version.

(totem:20421): GLib-GObject-WARNING **: The property GtkAlignment:bottom-padding is deprecated and shouldn't be used anymore. It will be removed in a future version.

(totem:20421): GLib-GObject-WARNING **: The property GtkAlignment:left-padding is deprecated and shouldn't be used anymore. It will be removed in a future version.

(totem:20421): GLib-GObject-WARNING **: The property GtkAlignment:right-padding is deprecated and shouldn't be used anymore. It will be removed in a future version.
** Message: Missing plugin: gstreamer|1.0|totem|MPEG-4 AAC decoder|decoder-audio/mpeg, mpegversion=(int)4, framed=(boolean)true, stream-format=(string)raw, level=(string)2, base-profile=(string)lc, profile=(string)lc (MPEG-4 AAC decoder)
** Message: Missing plugin: gstreamer|1.0|totem|H.264 decoder|decoder-video/x-h264, stream-format=(string)avc, alignment=(string)au, level=(string)4, profile=(string)baseline, parsed=(boolean)true (H.264 decoder)
** Message: PackageKit: xid = 52428815
** Message: PackageKit: desktop_id = org.gnome.Totem.desktop
** Message: PackageKit: Codec nice name: MPEG-4 AAC decoder
** Message: PackageKit: ignoring field named framed
** Message: PackageKit: ignoring field named stream-format
** Message: PackageKit: ignoring field named level
** Message: PackageKit: ignoring field named base-profile
** Message: PackageKit: ignoring field named profile
** Message: PackageKit: field is: mpegversion, type: gint
** Message: PackageKit: structure: gstreamer1(decoder-audio/mpeg)(mpegversion=4)()(64bit)
** Message: PackageKit: Codec nice name: H.264 decoder
** Message: PackageKit: ignoring field named stream-format
** Message: PackageKit: ignoring field named alignment
** Message: PackageKit: ignoring field named level
** Message: PackageKit: ignoring field named profile
** Message: PackageKit: ignoring field named parsed
** Message: PackageKit: structure: gstreamer1(decoder-video/x-h264)()(64bit)
** Message: PackageKit: Did not install codec: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.PackageKit was not provided by any .service files
** Message: No installation candidate for missing plugins found.


Expected results:
Play video, or offer to install additional codecs automatically.

Additional info:
Related relevant bug:
https://bugzilla.redhat.com/show_bug.cgi?id=895816

# dnf list 'gstreamer*'
Last metadata expiration check performed 0:04:20 ago on Tue Jul 28 13:58:14 2015.
Installed Packages
gstreamer.x86_64                                                                       0.10.36-11.fc22                                          @System          
gstreamer-ffmpeg.x86_64                                                                0.10.13-15.fc22                                          @System          
gstreamer-plugins-bad.x86_64                                                           0.10.23-7.fc22                                           @System          
gstreamer-plugins-bad-free.x86_64                                                      0.10.23-24.fc22                                          @System          
gstreamer-plugins-base.x86_64                                                          0.10.36-12.fc22                                          @System          
gstreamer-plugins-good.x86_64                                                          0.10.31-13.fc22                                          @System          
gstreamer-plugins-good-extras.x86_64                                                   0.10.31-13.fc22                                          @System          
gstreamer-plugins-ugly.x86_64                                                          0.10.19-18.fc22                                          @System          
gstreamer-tools.x86_64                                                                 0.10.36-11.fc22                                          @System          
gstreamer1.i686                                                                        1.4.5-1.fc22                                             @System          
gstreamer1.x86_64                                                                      1.4.5-1.fc22                                             @System          
gstreamer1-plugins-bad-free.x86_64                                                     1.4.5-3.fc22                                             @System          
gstreamer1-plugins-base.i686                                                           1.4.5-2.fc22                                             @System          
gstreamer1-plugins-base.x86_64                                                         1.4.5-2.fc22                                             @System          
gstreamer1-plugins-good.x86_64                                                         1.4.5-2.fc22                                             @System          
Available Packages
...
Comment 1 Christian Stadelmann 2016-04-06 20:13:30 EDT
You probably need some codecs from rpmfusion to play this file. This is not totem's fault. See https://fedoraproject.org/wiki/PackageKit_Items_Not_Found#Missing_Codec for details.
Comment 2 Fedora End Of Life 2016-07-19 13:13:49 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.